=== debian/changelog ===
eglot (1.9-2) unstable; urgency=medium

  * Source-only upload.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 16 Oct 2022 12:52:52 -0700

eglot (1.9-1) unstable; urgency=medium

  * Initial release (Closes: #1021462).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sun, 09 Oct 2022 02:52:04 +0200
