=== debian/control ===
Source: eglot
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
Build-Depends: debhelper-compat (= 13),
 dh-elpa,
 dh-exec,
Standards-Version: 4.5.1
Homepage: https://github.com/joaotavora/eglot
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/emacsen-team/eglot
Vcs-Git: https://salsa.debian.org/emacsen-team/eglot.git

Package: elpa-eglot
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Enhances: emacs
Description: Emacs client for Language Server Protocol servers
 This package provides a elisp library implementing a client for
 Language Server Protocol servers. It should need little or no
 configuration and be able to guess the LSP server to start for the
 language you're using. It only relies on elisp libraries developed in
 the Emacs mainline, and is seamlessly integrated with other core IDE
 functionalities (xref, project, completion-at-point, eldoc, flymake).
