=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

# deactivate upstream Makefile
override_dh_auto_build:
