## eglot 1.15

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,7 @@
            --eval '(load "eldoc")'                              \
            --eval '(install-latest (quote company))'            \
            --eval '(install-latest (quote yasnippet))'          \
+           --eval '(install-latest (quote external-completion))'\
            --eval '(install-latest (quote flymake))'
 
 BYTECOMP_ERROR_ON_WARN := \
