=== debian/control ===
--- 
+++ 
@@ -6,7 +6,11 @@
 Build-Depends: debhelper-compat (= 13),
  dh-elpa,
  dh-exec,
-Standards-Version: 4.5.1
+ ccls,
+ clangd,
+ elpa-yasnippet,
+ elpa-company,
+Standards-Version: 4.6.2
 Homepage: https://github.com/joaotavora/eglot
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/emacsen-team/eglot
@@ -15,6 +19,7 @@
 Package: elpa-eglot
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
+Recommends: emacs
 Enhances: emacs
 Description: Emacs client for Language Server Protocol servers
  This package provides a elisp library implementing a client for
